## LassoIdWsf2SubsRefModify

LassoIdWsf2SubsRefModify — <subsref:Modify>

## Functions

LassoIdWsf2SubsRefModify * | lasso_idwsf2_subsref_modify_new ()

## Types and Values

struct | LassoIdWsf2SubsRefModify

## Description

Figure 259. Schema fragment for subsref:Modify

    <xs:complexType name="ModifyType">
      <xs:complexContent>
        <xs:extension base="dst:RequestType">
          <xs:sequence>
            <xs:element ref="subsref:Subscription" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="subsref:ModifyItem" minOccurs="1" maxOccurs="unbounded"/>
            <xs:element ref="subsref:ResultQuery" minOccurs="0" maxOccurs="unbounded"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_subsref_modify_new ()

    LassoIdWsf2SubsRefModify *
    lasso_idwsf2_subsref_modify_new (void);

Creates a new LassoIdWsf2SubsRefModify object.

#### Returns

a newly created LassoIdWsf2SubsRefModify object

## Types and Values

### struct LassoIdWsf2SubsRefModify

    struct LassoIdWsf2SubsRefModify {
    	LassoIdWsf2DstRequest parent;

    	/* elements */
    	GList *Subscription; /* of LassoNode */
    	GList *ModifyItem; /* of LassoNode */
    	GList *ResultQuery; /* of LassoNode */
    };